Skip to main content
PUT
/
api
/
v2
/
network
/
offers
/
{id}
Update offer
curl --request PUT \
  --url 'https://{domain}/api/v2/network/offers/{id}?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "string",
  "status": 1,
  "advertiser_id": 1,
  "currency": "USD",
  "external_id": "string"
}
'
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "offer": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Path Parameters

id
integer
required

Offer ID.

Body

application/json
title
string
Maximum string length: 128
status
integer
advertiser_id
integer
currency
string
Maximum string length: 3
external_id
string
description
string
internal_info
string
timezone
string

Timezone identifier used to determine whether expiration_date is in the past.

image
string
image_data
string
Available options:
0,
1
is_expires
enum<integer>
Available options:
0,
1
expiration_date
string

Expiration date in Y-m-d format. When is_expires=1, must be today or a future date in the offer timezone.

visible_type
integer
ask_approval_questions
enum<integer>
Available options:
0,
1
questions
string
categories
string
categories_ids
integer[]
tags
integer[]
traffic_types
integer[]
traffic_types_denied
integer[]
block_traffic
enum<integer>
Available options:
0,
1
block_traffic_vpn
enum<integer>
Available options:
0,
1
block_traffic_proxy
enum<integer>
Available options:
0,
1
block_traffic_bot
enum<integer>
Available options:
0,
1

Response

Offer updated.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object